Subject: Re: bug#13019: 24.2; ispell: use of local ispell-personal-dictionary

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Nov 2012 20:53:48 +0200

> Date: Fri, 30 Nov 2012 18:11:56 +0100
> From: Agustin Martin <[email-masked]>
> Cc: Akim Demaille <[email-masked]>
> 
> (if ispell-current-personal-dictionary ; Use specified pers dict.
>     (list "-p" (expand-file-name ispell-current-personal-dictionary)))
> 
> and is indeed affected by the changes in `default-dictionary' coming from
> `ispell-init-process`.
> 
> I think the only reason for that `expand-file-name' is the tilde expansion
> in non-UNIX systems. In UNIX systems tilde can be explicitly passed. 

You can only reliably pass the tilde to a shell, not to an arbitrary
program.